# -*- coding: utf-8 -*-
from setuphelpers import *

app_name = "LDAPAdmin"
app_dir = makepath(programfiles, app_name)
app_path = makepath(app_dir, "LdapAdmin.exe")
bin_contains = "LdapAdmin"


def install():

    killalltasks(control.get_impacted_process_list())
    if isdir(app_dir):
        remove_tree(app_dir)
    mkdirs(app_dir)
    for file_to_move in glob.glob("%s.exe" % bin_contains):
        shutil.move(file_to_move, app_dir)

    # Creating shortcuts
    create_desktop_shortcut(app_name, app_path)
    create_programs_menu_shortcut(app_name, app_path)

    # Adding software to "list-registry"
    print("Registering: %s to Windows Registry" % app_name)

def uninstall():
    # Uninstalling software
    killalltasks(control.get_impacted_process_list())
    if isdir(app_dir):
        remove_tree(app_dir)
    unregister_uninstall(app_name, win64app=iswin64())

    # Removing shortcuts
    remove_desktop_shortcut(app_name)
    remove_programs_menu_shortcut(app_name)
